/* #C6C6C6
#B2B2B2
#BA9191
#DB5959
#262424 */

@font-face {
  font-family: "FedraSerifDisProregular";
  src: url("../../assets/FedraSerifDisProregular.ttf") format("truetype");
}

/* Angular Material icon stuff. */

.material-icons {
  margin: 0;
  padding: 0;
  font-size: 3em;
  line-height: 1em;
}

/* Primary styling stuff. */

.background {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
}

/* Wraps the search bar and the toolbar*/
.wrapper {
  /* background-color: #aaf; */
  margin: 0;
  padding: 0;
  width: 100%;
  color: white;
  font-size: 1em !important;
  font-family: "FedraSerifDisProregular" !important;
  display: grid;
  grid-template-columns: 10% 80% 10%;
  grid-template-rows: auto auto auto;
  grid-template-areas:
    " pl top pr"
    " pl toolbar pr"
    " pl bottom pr";
}

.padl {
  /* background: #0ff; */
  grid-area: pl;
  z-index: -1;
}
.padr {
  /* background: #f0f; */
  grid-area: pr;
  z-index: -1;
}

.top {
  /* background: #0f0; */
  grid-area: top;
  padding-top: 2em;
  font-size: 1em !important;
  /* text-align: center; */
}

.control-wrapper {
  /* background: #0ff; */
  display: grid;
  margin: 0;
  padding-top: 0;
  grid-template-columns: auto 3em 3em;
  grid-template-rows: 3em;
  height: 100%;
  width: 100%;
  box-shadow: 1px 1px 2px #c6c6c6;
  border-radius: 5px;
}

.control-item {
  /* background: #ffa; */
  height: inherit;
  width: inherit;
}

form {
  height: inherit;
  width: inherit;
  margin: 0;
  padding: 0;
}

input {
  width: inherit;
  height: inherit;
  margin: 0;
  padding: 0;
  border-radius: 5px 0px 0px 5px;
  font-size: 1em !important;
  font-family: "FedraSerifDisProregular" !important;
  padding-left: 1em;
  border: none;
}

input:focus {
  outline: none;
  box-shadow: 0 0 1em #ba9191 inset;
}

.control-button {
  color: black;
  background: #b2b2b2;
  height: inherit;
  transition: 0.3s;
  text-decoration: none;
  user-select: none;
  cursor: pointer;
}

.control-button:hover {
  background: #c6c6c6;
  transition: 0.3s;
}
.control-button:active {
  color: black;
  text-shadow: 0 0 1px #262424;
  text-decoration: none;
  box-shadow: 0 0 1em #ba9191 inset;
}
.control-button.last {
  border-radius: 0px 5px 5px 0px;
}

/* N E X T   S E C T I O N */

.toolbar {
  background: #262424;
  /* box-shadow: 1px 1px 2px #C6C6C6; */
  grid-area: toolbar;
  border-radius: 0px 0px 5px 5px;
  height: 0vh;
  /* border: 1px solid greenyellow; */
  transition: 0.3s;
  padding-left: 1em;
}

.toolbar-contents {
}

.bottom {
  grid-area: bottom;
  /* background: #00f; */
  padding-top: 2em;
  font-size: 1em !important;
  text-align: center;
}
/************************/
/* Drag and drop stuff. */
/************************/
.example-list {
  /* width: 100%; */
  display: block;
  overflow: hidden;
}

.example-box {
  color: white;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 1em;
  box-sizing: border-box;
  cursor: grab;
  font-size: 1em;
}

.cdk-drag-preview {
  font-size: 1em;
  color: white;
  box-sizing: border-box;
  cursor: grabbing;
}

.cdk-drag-placeholder {
  opacity: 0.1;
}

.cdk-drag-animating {
  transition: transform 300ms cubic-bezier(0, 0, 0.2, 1);
  color: white;
}

.example-list.cdk-drop-list-dragging .example-box:not(.cdk-drag-placeholder) {
  transition: transform 300ms cubic-bezier(0, 0, 0.2, 1);
}

/* Questions pop-overlay stuff. */

.questions-overlay {
  height: 100vh;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.95);
  overflow-x: hidden;
  transition: 0.5s;
}

.questions-overlay-content {
  position: relative;
  padding-top: 4em;
  width: 70%;
  padding-left: 16%;
  text-align: center;
}

.questions-overlay a {
  padding: 8px;
  text-decoration: none;
  font-size: 2em;
  color: #b2b2b2;
  display: block;
  transition: 0.3s;
}

.questions-overlay a:hover,
.questions-overlay a:focus {
  color: white;
  transition: 0.3s;
}

.questions-overlay-closebtn {
  position: absolute;
  color: #b2b2b2;
  top: 0.5em;
  right: 0.5em;
  transition: 0.3s;
  user-select: none;
  outline: none;
}

.questions-overlay-closebtn:hover {
  cursor: pointer;
  color: white;
  transition: 0.3s;
}

/*Custom CSS Animated Slider Stuff*/

.switch {
  position: relative;
  display: inline-block;

  width: 2em;
  height: 1em;
}

.switch-holder {
  float: left;
  padding-top: 1em;
  padding-right: 1em;
  line-height: 1em;
  user-select: none;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  background: #000;
  box-shadow: 1px 1px 2px #c6c6c6;
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  transition: 0.3s;
}

.slider:before {
  background-color: white;
  box-shadow: 1px 1px 2px #c6c6c6;
  position: absolute;
  content: "";
  height: 1em;
  width: 1em;
  background-color: white;
  transition: 0.3s;
}

input:checked + .slider {
  background-color: #b2b2b2;
}

input:checked + .slider:before {
  transform: translateX(1em);
}

.slider.round {
  border-radius: 5px;
}

.slider.round:before {
  border-radius: 5px;
}

.slider:active {
  box-shadow: 0 0 1em #ba9191 inset;
}
.slider:active {
  box-shadow: 0 0 1em #ba9191 inset;
}
